<?php
class cCatalogo{
	function filtrar($nom,$codbar,$est,$limit){ // autocomplete compras
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
		inner join tb_productomarca pm on pm.tb_catalogo_id = ct.tb_catalogo_id
        inner join tb_marca m on m.tb_marca_id = pm.tb_marca_id
        inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE tb_producto_xac=1 
		";
		
		if($nom!="") $sql .= " AND tb_producto_nom LIKE '$nom' ";
		if($codbar!="") $sql .= " AND tb_presentacion_codbar = '$codbar' ";
		if($est!="") $sql .= " AND tb_producto_est = '$est' ";
		$sql.=" ORDER BY tb_unidad_tip, tb_producto_nom ";
		if($limit>0)$sql.=" LIMIT 0,$limit ";
		
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}
	
	
function catalogo_obtener_idcat($codbar){
		$sql = "SELECT ct.tb_catalogo_id FROM tb_producto p 
				INNER JOIN tb_presentacion pr ON p.tb_producto_id=pr.tb_producto_id
				INNER JOIN tb_catalogo ct ON pr.tb_presentacion_id=ct.tb_presentacion_id
				WHERE tb_producto_xac=1 AND tb_catalogo_xac=1 AND tb_catalogo_unibas='1' AND tb_presentacion_codbar = '$codbar' ";
		$sql .= " ORDER BY tb_producto_nom ";
//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>